diff --git a/guava/src/com/google/common/util/concurrent/Uninterruptibles.java b/guava/src/com/google/common/util/concurrent/Uninterruptibles.java
index 94678ec..33d323c 100644
--- a/guava/src/com/google/common/util/concurrent/Uninterruptibles.java
+++ b/guava/src/com/google/common/util/concurrent/Uninterruptibles.java
@@ -18,11 +18,7 @@ import static com.google.common.base.Verify.verify;
 import static com.google.common.util.concurrent.Internal.toNanosSaturated;
 import static java.util.concurrent.TimeUnit.NANOSECONDS;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Preconditions;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.time.Duration;
 import java.util.concurrent.BlockingQueue;
 import java.util.concurrent.CancellationException;
@@ -35,7 +31,6 @@ import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
 import java.util.concurrent.locks.Condition;
 import java.util.concurrent.locks.Lock;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Utilities for treating interruptible operations as uninterruptible. In all cases, if a thread is
@@ -45,7 +40,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Anthony Zana
  * @since 10.0
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 public final class Uninterruptibles {
 
@@ -53,7 +47,7 @@ public final class Uninterruptibles {
   // methods is identical, save for method being invoked.
 
   /** Invokes {@code latch.}{@link CountDownLatch#await() await()} uninterruptibly. */
-  @GwtIncompatible // concurrency
+  // concurrency
   public static void awaitUninterruptibly(CountDownLatch latch) {
     boolean interrupted = false;
     try {
@@ -78,9 +72,8 @@ public final class Uninterruptibles {
    *
    * @since 28.0
    */
-  @CanIgnoreReturnValue // TODO(cpovirk): Consider being more strict.
-  @GwtIncompatible // concurrency
-  @Beta
+  // TODO(cpovirk): Consider being more strict.
+  // concurrency
   public static boolean awaitUninterruptibly(CountDownLatch latch, Duration timeout) {
     return awaitUninterruptibly(latch, toNanosSaturated(timeout), TimeUnit.NANOSECONDS);
   }
@@ -89,8 +82,8 @@ public final class Uninterruptibles {
    * Invokes {@code latch.}{@link CountDownLatch#await(long, TimeUnit) await(timeout, unit)}
    * uninterruptibly.
    */
-  @CanIgnoreReturnValue // TODO(cpovirk): Consider being more strict.
-  @GwtIncompatible // concurrency
+  // TODO(cpovirk): Consider being more strict.
+  // concurrency
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
   public static boolean awaitUninterruptibly(CountDownLatch latch, long timeout, TimeUnit unit) {
     boolean interrupted = false;
@@ -120,8 +113,7 @@ public final class Uninterruptibles {
    *
    * @since 28.0
    */
-  @GwtIncompatible // concurrency
-  @Beta
+  // concurrency
   public static boolean awaitUninterruptibly(Condition condition, Duration timeout) {
     return awaitUninterruptibly(condition, toNanosSaturated(timeout), TimeUnit.NANOSECONDS);
   }
@@ -132,7 +124,7 @@ public final class Uninterruptibles {
    *
    * @since 23.6
    */
-  @GwtIncompatible // concurrency
+  // concurrency
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
   public static boolean awaitUninterruptibly(Condition condition, long timeout, TimeUnit unit) {
     boolean interrupted = false;
@@ -156,7 +148,7 @@ public final class Uninterruptibles {
   }
 
   /** Invokes {@code toJoin.}{@link Thread#join() join()} uninterruptibly. */
-  @GwtIncompatible // concurrency
+  // concurrency
   public static void joinUninterruptibly(Thread toJoin) {
     boolean interrupted = false;
     try {
@@ -181,8 +173,7 @@ public final class Uninterruptibles {
    *
    * @since 28.0
    */
-  @GwtIncompatible // concurrency
-  @Beta
+  // concurrency
   public static void joinUninterruptibly(Thread toJoin, Duration timeout) {
     joinUninterruptibly(toJoin, toNanosSaturated(timeout), TimeUnit.NANOSECONDS);
   }
@@ -191,7 +182,7 @@ public final class Uninterruptibles {
    * Invokes {@code unit.}{@link TimeUnit#timedJoin(Thread, long) timedJoin(toJoin, timeout)}
    * uninterruptibly.
    */
-  @GwtIncompatible // concurrency
+  // concurrency
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
   public static void joinUninterruptibly(Thread toJoin, long timeout, TimeUnit unit) {
     Preconditions.checkNotNull(toJoin);
@@ -233,9 +224,8 @@ public final class Uninterruptibles {
    * @throws ExecutionException if the computation threw an exception
    * @throws CancellationException if the computation was cancelled
    */
-  @CanIgnoreReturnValue
   @ParametricNullness
-  public static <V extends @Nullable Object> V getUninterruptibly(Future<V> future)
+  public static <V extends Object> V getUninterruptibly(Future<V> future)
       throws ExecutionException {
     boolean interrupted = false;
     try {
@@ -272,11 +262,9 @@ public final class Uninterruptibles {
    * @throws TimeoutException if the wait timed out
    * @since 28.0
    */
-  @CanIgnoreReturnValue
-  @GwtIncompatible // java.time.Duration
-  @Beta
+  // java.time.Duration
   @ParametricNullness
-  public static <V extends @Nullable Object> V getUninterruptibly(
+  public static <V extends Object> V getUninterruptibly(
       Future<V> future, Duration timeout) throws ExecutionException, TimeoutException {
     return getUninterruptibly(future, toNanosSaturated(timeout), TimeUnit.NANOSECONDS);
   }
@@ -299,11 +287,10 @@ public final class Uninterruptibles {
    * @throws CancellationException if the computation was cancelled
    * @throws TimeoutException if the wait timed out
    */
-  @CanIgnoreReturnValue
-  @GwtIncompatible // TODO
+  // TODO
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
   @ParametricNullness
-  public static <V extends @Nullable Object> V getUninterruptibly(
+  public static <V extends Object> V getUninterruptibly(
       Future<V> future, long timeout, TimeUnit unit) throws ExecutionException, TimeoutException {
     boolean interrupted = false;
     try {
@@ -327,7 +314,7 @@ public final class Uninterruptibles {
   }
 
   /** Invokes {@code queue.}{@link BlockingQueue#take() take()} uninterruptibly. */
-  @GwtIncompatible // concurrency
+  // concurrency
   public static <E> E takeUninterruptibly(BlockingQueue<E> queue) {
     boolean interrupted = false;
     try {
@@ -353,7 +340,7 @@ public final class Uninterruptibles {
    * @throws IllegalArgumentException if some property of the specified element prevents it from
    *     being added to the given queue
    */
-  @GwtIncompatible // concurrency
+  // concurrency
   public static <E> void putUninterruptibly(BlockingQueue<E> queue, E element) {
     boolean interrupted = false;
     try {
@@ -378,15 +365,14 @@ public final class Uninterruptibles {
    *
    * @since 28.0
    */
-  @GwtIncompatible // concurrency
-  @Beta
+  // concurrency
   public static void sleepUninterruptibly(Duration sleepFor) {
     sleepUninterruptibly(toNanosSaturated(sleepFor), TimeUnit.NANOSECONDS);
   }
 
   // TODO(user): Support Sleeper somehow (wrapper or interface method)?
   /** Invokes {@code unit.}{@link TimeUnit#sleep(long) sleep(sleepFor)} uninterruptibly. */
-  @GwtIncompatible // concurrency
+  // concurrency
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
   public static void sleepUninterruptibly(long sleepFor, TimeUnit unit) {
     boolean interrupted = false;
@@ -416,8 +402,7 @@ public final class Uninterruptibles {
    *
    * @since 28.0
    */
-  @GwtIncompatible // concurrency
-  @Beta
+  // concurrency
   public static boolean tryAcquireUninterruptibly(Semaphore semaphore, Duration timeout) {
     return tryAcquireUninterruptibly(semaphore, toNanosSaturated(timeout), TimeUnit.NANOSECONDS);
   }
@@ -428,7 +413,7 @@ public final class Uninterruptibles {
    *
    * @since 18.0
    */
-  @GwtIncompatible // concurrency
+  // concurrency
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
   public static boolean tryAcquireUninterruptibly(
       Semaphore semaphore, long timeout, TimeUnit unit) {
@@ -441,8 +426,7 @@ public final class Uninterruptibles {
    *
    * @since 28.0
    */
-  @GwtIncompatible // concurrency
-  @Beta
+  // concurrency
   public static boolean tryAcquireUninterruptibly(
       Semaphore semaphore, int permits, Duration timeout) {
     return tryAcquireUninterruptibly(
@@ -455,7 +439,7 @@ public final class Uninterruptibles {
    *
    * @since 18.0
    */
-  @GwtIncompatible // concurrency
+  // concurrency
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
   public static boolean tryAcquireUninterruptibly(
       Semaphore semaphore, int permits, long timeout, TimeUnit unit) {
@@ -486,8 +470,7 @@ public final class Uninterruptibles {
    *
    * @since 30.0
    */
-  @GwtIncompatible // concurrency
-  @Beta
+  // concurrency
   public static boolean tryLockUninterruptibly(Lock lock, Duration timeout) {
     return tryLockUninterruptibly(lock, toNanosSaturated(timeout), TimeUnit.NANOSECONDS);
   }
@@ -498,7 +481,7 @@ public final class Uninterruptibles {
    *
    * @since 30.0
    */
-  @GwtIncompatible // concurrency
+  // concurrency
   @SuppressWarnings("GoodTime") // should accept a java.time.Duration
   public static boolean tryLockUninterruptibly(Lock lock, long timeout, TimeUnit unit) {
     boolean interrupted = false;
@@ -527,8 +510,7 @@ public final class Uninterruptibles {
    *
    * @since 30.0
    */
-  @Beta
-  @GwtIncompatible // concurrency
+  // concurrency
   public static void awaitTerminationUninterruptibly(ExecutorService executor) {
     // TODO(cpovirk): We could optimize this to avoid calling nanoTime() at all.
     verify(awaitTerminationUninterruptibly(executor, Long.MAX_VALUE, NANOSECONDS));
@@ -540,8 +522,7 @@ public final class Uninterruptibles {
    *
    * @since 30.0
    */
-  @Beta
-  @GwtIncompatible // concurrency
+  // concurrency
   public static boolean awaitTerminationUninterruptibly(
       ExecutorService executor, Duration timeout) {
     return awaitTerminationUninterruptibly(executor, toNanosSaturated(timeout), NANOSECONDS);
@@ -553,8 +534,7 @@ public final class Uninterruptibles {
    *
    * @since 30.0
    */
-  @Beta
-  @GwtIncompatible // concurrency
+  // concurrency
   @SuppressWarnings("GoodTime")
   public static boolean awaitTerminationUninterruptibly(
       ExecutorService executor, long timeout, TimeUnit unit) {
diff --git a/guava/src/com/google/common/util/concurrent/WrappingExecutorService.java b/guava/src/com/google/common/util/concurrent/WrappingExecutorService.java
index 03c08cc..95fc84b 100644
--- a/guava/src/com/google/common/util/concurrent/WrappingExecutorService.java
+++ b/guava/src/com/google/common/util/concurrent/WrappingExecutorService.java
@@ -17,9 +17,6 @@ package com.google.common.util.concurrent;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.base.Throwables.throwIfUnchecked;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableList;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Collection;
 import java.util.List;
 import java.util.concurrent.Callable;
@@ -29,7 +26,6 @@ import java.util.concurrent.Executors;
 import java.util.concurrent.Future;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An abstract {@code ExecutorService} that allows subclasses to {@linkplain #wrapTask(Callable)
@@ -41,8 +37,7 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  *
  * @author Chris Nokleberg
  */
-@CanIgnoreReturnValue // TODO(cpovirk): Consider being more strict.
-@GwtIncompatible
+// TODO(cpovirk): Consider being more strict.
 @ElementTypesAreNonnullByDefault
 abstract class WrappingExecutorService implements ExecutorService {
   private final ExecutorService delegate;
@@ -55,7 +50,7 @@ abstract class WrappingExecutorService implements ExecutorService {
    * Wraps a {@code Callable} for submission to the underlying executor. This method is also applied
    * to any {@code Runnable} passed to the default implementation of {@link #wrapTask(Runnable)}.
    */
-  protected abstract <T extends @Nullable Object> Callable<T> wrapTask(Callable<T> callable);
+  protected abstract <T extends Object> Callable<T> wrapTask(Callable<T> callable);
 
   /**
    * Wraps a {@code Runnable} for submission to the underlying executor. The default implementation
@@ -81,7 +76,7 @@ abstract class WrappingExecutorService implements ExecutorService {
    *
    * @throws NullPointerException if any element of {@code tasks} is null
    */
-  private <T extends @Nullable Object> ImmutableList<Callable<T>> wrapTasks(
+  private <T extends Object> ImmutableList<Callable<T>> wrapTasks(
       Collection<? extends Callable<T>> tasks) {
     ImmutableList.Builder<Callable<T>> builder = ImmutableList.builder();
     for (Callable<T> task : tasks) {
@@ -97,7 +92,7 @@ abstract class WrappingExecutorService implements ExecutorService {
   }
 
   @Override
-  public final <T extends @Nullable Object> Future<T> submit(Callable<T> task) {
+  public final <T extends Object> Future<T> submit(Callable<T> task) {
     return delegate.submit(wrapTask(checkNotNull(task)));
   }
 
@@ -107,32 +102,32 @@ abstract class WrappingExecutorService implements ExecutorService {
   }
 
   @Override
-  public final <T extends @Nullable Object> Future<T> submit(
+  public final <T extends Object> Future<T> submit(
       Runnable task, @ParametricNullness T result) {
     return delegate.submit(wrapTask(task), result);
   }
 
   @Override
-  public final <T extends @Nullable Object> List<Future<T>> invokeAll(
+  public final <T extends Object> List<Future<T>> invokeAll(
       Collection<? extends Callable<T>> tasks) throws InterruptedException {
     return delegate.invokeAll(wrapTasks(tasks));
   }
 
   @Override
-  public final <T extends @Nullable Object> List<Future<T>> invokeAll(
+  public final <T extends Object> List<Future<T>> invokeAll(
       Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)
       throws InterruptedException {
     return delegate.invokeAll(wrapTasks(tasks), timeout, unit);
   }
 
   @Override
-  public final <T extends @Nullable Object> T invokeAny(Collection<? extends Callable<T>> tasks)
+  public final <T extends Object> T invokeAny(Collection<? extends Callable<T>> tasks)
       throws InterruptedException, ExecutionException {
     return delegate.invokeAny(wrapTasks(tasks));
   }
 
   @Override
-  public final <T extends @Nullable Object> T invokeAny(
+  public final <T extends Object> T invokeAny(
       Collection<? extends Callable<T>> tasks, long timeout, TimeUnit unit)
       throws InterruptedException, ExecutionException, TimeoutException {
     return delegate.invokeAny(wrapTasks(tasks), timeout, unit);
diff --git a/guava/src/com/google/common/util/concurrent/WrappingScheduledExecutorService.java b/guava/src/com/google/common/util/concurrent/WrappingScheduledExecutorService.java
index 48f23c1..7d52c99 100644
--- a/guava/src/com/google/common/util/concurrent/WrappingScheduledExecutorService.java
+++ b/guava/src/com/google/common/util/concurrent/WrappingScheduledExecutorService.java
@@ -14,13 +14,10 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.concurrent.Callable;
 import java.util.concurrent.ScheduledExecutorService;
 import java.util.concurrent.ScheduledFuture;
 import java.util.concurrent.TimeUnit;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An abstract {@code ScheduledExecutorService} that allows subclasses to {@linkplain
@@ -30,8 +27,7 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  *
  * @author Luke Sandberg
  */
-@CanIgnoreReturnValue // TODO(cpovirk): Consider being more strict.
-@GwtIncompatible
+// TODO(cpovirk): Consider being more strict.
 @ElementTypesAreNonnullByDefault
 abstract class WrappingScheduledExecutorService extends WrappingExecutorService
     implements ScheduledExecutorService {
@@ -48,7 +44,7 @@ abstract class WrappingScheduledExecutorService extends WrappingExecutorService
   }
 
   @Override
-  public final <V extends @Nullable Object> ScheduledFuture<V> schedule(
+  public final <V extends Object> ScheduledFuture<V> schedule(
       Callable<V> task, long delay, TimeUnit unit) {
     return delegate.schedule(wrapTask(task), delay, unit);
   }
diff --git a/guava/src/com/google/common/util/concurrent/package-info.java b/guava/src/com/google/common/util/concurrent/package-info.java
index a2533c1..ab9565a 100644
--- a/guava/src/com/google/common/util/concurrent/package-info.java
+++ b/guava/src/com/google/common/util/concurrent/package-info.java
@@ -25,9 +25,7 @@
  * <p>This package is a part of the open-source <a href="http://github.com/google/guava">Guava</a>
  * library.
  */
-@CheckReturnValue
 @ParametersAreNonnullByDefault
 package com.google.common.util.concurrent;
 
-import com.google.errorprone.annotations.CheckReturnValue;
 import javax.annotation.ParametersAreNonnullByDefault;
diff --git a/guava/src/com/google/common/xml/ElementTypesAreNonnullByDefault.java b/guava/src/com/google/common/xml/ElementTypesAreNonnullByDefault.java
index b4fb4e3..c4dc0b2 100644
--- a/guava/src/com/google/common/xml/ElementTypesAreNonnullByDefault.java
+++ b/guava/src/com/google/common/xml/ElementTypesAreNonnullByDefault.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -33,7 +32,6 @@ import javax.annotation.meta.TypeQualifierDefault;
  * unfortunately includes type-variable usages, so we also provide {@link ParametricNullness} to
  * "undo" it as best we can.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target(TYPE)
 @TypeQualifierDefault({FIELD, METHOD, PARAMETER})
diff --git a/guava/src/com/google/common/xml/ParametricNullness.java b/guava/src/com/google/common/xml/ParametricNullness.java
index a476558..42f29cd 100644
--- a/guava/src/com/google/common/xml/ParametricNullness.java
+++ b/guava/src/com/google/common/xml/ParametricNullness.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 import static javax.annotation.meta.When.UNKNOWN;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -35,7 +34,6 @@ import javax.annotation.meta.TypeQualifierNickname;
  * href="https://android.googlesource.com/platform/libcore/+/master/luni/src/main/java/libcore/util/NullFromTypeParam.java">{@code
  * NullFromTypeParam}</a>). We use this to "undo" {@link ElementTypesAreNonnullByDefault}.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target({FIELD, METHOD, PARAMETER})
 @TypeQualifierNickname
diff --git a/guava/src/com/google/common/xml/XmlEscapers.java b/guava/src/com/google/common/xml/XmlEscapers.java
index a1c637c..7d73cef 100644
--- a/guava/src/com/google/common/xml/XmlEscapers.java
+++ b/guava/src/com/google/common/xml/XmlEscapers.java
@@ -14,8 +14,6 @@
 
 package com.google.common.xml;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.escape.Escaper;
 import com.google.common.escape.Escapers;
 
@@ -38,8 +36,6 @@ import com.google.common.escape.Escapers;
  * @author David Beaumont
  * @since 15.0
  */
-@Beta
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public class XmlEscapers {
   private XmlEscapers() {}
diff --git a/guava/src/com/google/common/xml/package-info.java b/guava/src/com/google/common/xml/package-info.java
index bd4c952..87eafd4 100644
--- a/guava/src/com/google/common/xml/package-info.java
+++ b/guava/src/com/google/common/xml/package-info.java
@@ -20,9 +20,7 @@
  * <p>This package is a part of the open-source <a href="http://github.com/google/guava">Guava</a>
  * library.
  */
-@CheckReturnValue
 @ParametersAreNonnullByDefault
 package com.google.common.xml;
 
-import com.google.errorprone.annotations.CheckReturnValue;
 import javax.annotation.ParametersAreNonnullByDefault;
diff --git a/guava/src/com/google/thirdparty/publicsuffix/PublicSuffixPatterns.java b/guava/src/com/google/thirdparty/publicsuffix/PublicSuffixPatterns.java
index 9e5f173..67534d2 100644
--- a/guava/src/com/google/thirdparty/publicsuffix/PublicSuffixPatterns.java
+++ b/guava/src/com/google/thirdparty/publicsuffix/PublicSuffixPatterns.java
@@ -18,9 +18,6 @@
 
 package com.google.thirdparty.publicsuffix;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableMap;
 
 /**
  * <b>Do not use this class directly. For access to public-suffix information, use {@link
@@ -34,8 +31,6 @@ import com.google.common.collect.ImmutableMap;
  *
  * @since 16.0
  */
-@GwtCompatible
-@Beta
 public final class PublicSuffixPatterns {
   private PublicSuffixPatterns() {}
 
diff --git a/guava/src/com/google/thirdparty/publicsuffix/PublicSuffixType.java b/guava/src/com/google/thirdparty/publicsuffix/PublicSuffixType.java
index be1d07f..af4ba69 100644
--- a/guava/src/com/google/thirdparty/publicsuffix/PublicSuffixType.java
+++ b/guava/src/com/google/thirdparty/publicsuffix/PublicSuffixType.java
@@ -14,8 +14,6 @@
 
 package com.google.thirdparty.publicsuffix;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * <b>Do not use this class directly. For access to public-suffix information, use {@link
@@ -25,8 +23,6 @@ import com.google.common.annotations.GwtCompatible;
  *
  * @since 23.3
  */
-@Beta
-@GwtCompatible
 public enum PublicSuffixType {
 
   /** Public suffix that is provided by a private company, e.g. "blogspot.com" */
diff --git a/guava/src/com/google/thirdparty/publicsuffix/TrieParser.java b/guava/src/com/google/thirdparty/publicsuffix/TrieParser.java
index dd77780..4207567 100644
--- a/guava/src/com/google/thirdparty/publicsuffix/TrieParser.java
+++ b/guava/src/com/google/thirdparty/publicsuffix/TrieParser.java
@@ -14,14 +14,11 @@
 
 package com.google.thirdparty.publicsuffix;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Joiner;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Queues;
 import java.util.Deque;
 
 /** Parser for a map of reversed domain names stored as a serialized radix tree. */
-@GwtCompatible
 final class TrieParser {
   private static final Joiner PREFIX_JOINER = Joiner.on("");
 
